#############################################################
#
# directfb-examples
#
#############################################################
DIRECTFB_EXAMPLES_VERSION:=0.9.25
DIRECTFB_EXAMPLES_SOURCE:=DirectFB-examples-$(DIRECTFB_EXAMPLES_VERSION).tar.gz
DIRECTFB_EXAMPLES_SITE:=http://www.directfb.org/downloads/Old
DIRECTFB_EXAMPLES_CAT:=$(ZCAT)
DIRECTFB_EXAMPLES_DIR:=$(BUILD_DIR)/DirectFB-examples-$(DIRECTFB_EXAMPLES_VERSION)

$(DL_DIR)/$(DIRECTFB_EXAMPLES_SOURCE):
	$(WGET) -P $(DL_DIR) $(DIRECTFB_EXAMPLES_SITE)/$(DIRECTFB_EXAMPLES_SOURCE)

directfb-source: $(DL_DIR)/$(DIRECTFB_EXAMPLES_SOURCE)

$(DIRECTFB_EXAMPLES_DIR)/.unpacked: $(DL_DIR)/$(DIRECTFB_EXAMPLES_SOURCE)
	$(DIRECTFB_EXAMPLES_CAT) $(DL_DIR)/$(DIRECTFB_EXAMPLES_SOURCE) | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	toolchain/patch-kernel.sh $(DIRECTFB_EXAMPLES_DIR) package/directfb-examples/ directfb-examples\*.patch
	touch $(DIRECTFB_EXAMPLES_DIR)/.unpacked

$(DIRECTFB_EXAMPLES_DIR)/.configured: $(DIRECTFB_EXAMPLES_DIR)/.unpacked
	(cd $(DIRECTFB_EXAMPLES_DIR); \
		$(TARGET_CONFIGURE_OPTS) \
		$(TARGET_CONFIGURE_ARGS) \
	ac_cv_header_linux_wm97xx_h=no \
	ac_cv_header_linux_sisfb_h=no \
	ac_cv_header_asm_page_h=no \
	./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--bindir=/usr/bin \
		--sbindir=/usr/sbin \
		--libdir=/lib \
		--libexecdir=/usr/lib \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--localstatedir=/var \
		--includedir=/usr/include \
		--mandir=/usr/man \
		--infodir=/usr/info \
		--with-gfxdrivers=cle266,unichrome \
		--enable-jpeg \
		--enable-png \
		--enable-linux-input \
		--enable-zlib \
		--enable-freetype \
		--enable-sysfs \
		--disable-sdl \
		--disable-video4linux \
		--disable-video4linux2 \
		--enable-fusion );
	touch $(DIRECTFB_EXAMPLES_DIR)/.configured

$(DIRECTFB_EXAMPLES_DIR)/.compiled: $(DIRECTFB_EXAMPLES_DIR)/.configured
	$(MAKE) -C $(DIRECTFB_EXAMPLES_DIR)
	touch $(DIRECTFB_EXAMPLES_DIR)/.compiled

$(STAGING_DIR)/usr/lib/libdirectfb.so: $(DIRECTFB_EXAMPLES_DIR)/.compiled
	$(MAKE) DESTDIR=$(STAGING_DIR) -C $(DIRECTFB_EXAMPLES_DIR) install
	touch -c $(STAGING_DIR)/lib/libdirectfb.so

$(TARGET_DIR)/usr/lib/libdirectfb.so: $(STAGING_DIR)/usr/lib/libdirectfb.so
	cp -dpf $(STAGING_DIR)/usr/lib/libdirect* $(STAGING_DIR)/usr/lib/libfusion* $(TARGET_DIR)/usr/lib/
	cp -rdpf $(STAGING_DIR)/usr/lib/directfb-* $(TARGET_DIR)/usr/lib/
	-$(STRIP) --strip-unneeded \
		$(TARGET_DIR)/usr/lib/libdirectfb.so \
		$(TARGET_DIR)/usr/lib/libdirect.so \
		$(TARGET_DIR)/usr/lib/libfusion.so

directfb-examples: uclibc jpeg libpng freetype libsysfs directfb $(TARGET_DIR)/usr/lib/libdirectfb.so

directfb-examples-clean:
	$(MAKE) DESTDIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(DIRECTFB_EXAMPLES_DIR) uninstall
	-$(MAKE) -C $(DIRECTFB_EXAMPLES_DIR) clean

directfb-examples-dirclean:
	rm -rf $(DIRECTFB_EXAMPLES_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_DIRECTFB)),y)
TARGETS+=directfb
endif
